Subject: [mile] [Technical Errata Reported] RFC7970 (6177)

From: RFC Errata System <[email-masked]>
Date: Sun, 17 May 2020 03:54:44 -0700 (PDT)

The following errata report has been submitted for RFC7970,
"The Incident Object Description Exchange Format Version 2".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6177

--------------------------------------
Type: Technical
Reported by: François Poirotte <[email-masked]>

Section: 3.26

Original Text
-------------
3.26.  HashData Class

   The HashData class describes different types of hashes on a given
   object (e.g., file, part of a file, email).

   +--------------------------+
   | HashData                 |
   +--------------------------+
   | ENUM scope               |<>--{0..1}--[ HashTargetID ]
   |                          |<>--{0..*}--[ Hash         ]
   |                          |<>--{0..*}--[ FuzzyHash    ]
   +--------------------------+

                       Figure 54: The HashData Class

Corrected Text
--------------
3.26.  HashData Class

   The HashData class describes different types of hashes on a given
   object (e.g., file, part of a file, email).

   +--------------------------+
   | HashData                 |
   +--------------------------+
   | ENUM scope               |<>--{0..1}--[ HashTargetID ]
   | STRING ext-scope         |<>--{0..*}--[ Hash         ]
   |                          |<>--{0..*}--[ FuzzyHash    ]
   +--------------------------+

                       Figure 54: The HashData Class

Notes
-----
Both the main body inside section 3.26 & the XML schema in section 8 mention "ext-scope" as a valid attribute of the HashData class, but the attribute was missing from the UML diagram in section 3.26.

(The attribute is necessary so that the "scope" attribute of HashData can be extended using the principles edicted in section 5.1.1)

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7970 (draft-ietf-mile-rfc5070-bis-26)
--------------------------------------
Title               : The Incident Object Description Exchange Format Version 2
Publication Date    : November 2016
Author(s)           : R. Danyliw
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG